## octave-statistics 1.0.6

=== DESCRIPTION ===
Name: Statistics
Version: 1.0.6
Date: 2008-04-29
Author: Various Authors
Maintainer: The Octave Community
Title: Statistics.
Description: Additional statistics functions for Octave.
Categories: Statistics
Depends: octave (>= 2.9.7)
Autoload: yes
License: See individual files
Url: http://octave.sf.net

## octave-statistics 1.0.8

=== DESCRIPTION ===
Name: Statistics
Version: 1.0.8
Date: 2009-05-03
Author: Various Authors
Maintainer: Arno Onken <asnelt@asnelt.org>
Title: Statistics
Description: Additional statistics functions for Octave.
Categories: Statistics
Depends: octave (>= 2.9.7), miscellaneous
Autoload: yes
License: See individual files
Url: http://octave.sf.net

## octave-statistics 1.0.9

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Name: Statistics
-Version: 1.0.8
+Version: 1.0.9
 Date: 2009-05-03
 Author: Various Authors
 Maintainer: Arno Onken <asnelt@asnelt.org>

## octave-statistics 1.0.10

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: Statistics
-Version: 1.0.9
-Date: 2009-05-03
+Version: 1.0.10
+Date: 2010-03-27
 Author: Various Authors
 Maintainer: Arno Onken <asnelt@asnelt.org>
 Title: Statistics

=== debian/changelog ===
octave-statistics (1.0.10-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - Remove Rafael Laboissiere from Uploaders (Closes: #571910)
    - Remove Ólafur Jens Sigurðsson <ojsbug@gmail.com> from Uploaders
  * Bump Standards-Version to 3.8.4 (no changes needed)
  * Switch to dpkg-source 3.0 (quilt) format
  * Dropped patches (applied upstream):
    - fix_bug_with_sprintf
    - remove_outdated_dmult

 -- Thomas Weber <tweber@debian.org>  Sun, 16 May 2010 17:48:37 +0200

octave-statistics (1.0.9-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/patches/fix-pdist-test.diff: Add patch for making the tests of
    function pdist succeed
  * debian/control: Build-depend on octave-pkg-dev >= 0.7.0, such that the
    package is built against octave3.2

  [ Thomas Weber ]
  * New upstream release 
  * Drop patch fix-pdist-test.diff, applied upstream
  * New patches: 
    + remove_outdated_dmult: Replace the call to the outdated dmult(). This
      fixes a test failure. Taken from upstream, SVN rev 6725
    + fix_bug_with_sprintf: Correct usage of sprintf, fixing a test failure.
      Taken from upstream, SVN rev 6726.

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Wed, 13 Jan 2010 01:00:18 +0100

octave-statistics (1.0.8-1) unstable; urgency=low

  * New upstream version
  * debian/patches/data-files-for-tests.diff: New patch to add the
    missing *.dat files, needed for the tests of functions caseread and
    tblread.
  * debian/clean: Add file for removing the *write*.dat files created when
    building the package
  * debian/compat: Bump the compatibility level of debhelper to 7,
    otherwise debian/clean does not work
  * debian/rules: Include patchsys-quilt.mk
  * debian/control:
    + (Build-Depends):
      - Add quilt
      - Bump the dependency on debhelper to >= 7
    + (Standards-Version): Bump to 3.8.1 (no changes needed)
    + (Depends): Add ${misc:Depends} and octave-gsl (for expm1)
    + (Vcs-Git, Vcs-Browser): Adjust to new Git repository
    + (Build-Depends-Indep): Add octave-gsl (for expm1, needed in testing
      copulapdf)
  * debian/source.lintian-overrides: Add file for overriding Lintian
    warnings build-depends-without-arch-dep
  * debian/copyright: Use DEP5 URL in Format-Specification
  * debian/README.source: Add file explaining the quilt patch system, as
    required by the Policy

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 24 May 2009 20:23:57 +0200

octave-statistics (1.0.7-1) unstable; urgency=low

  [ Ólafur Jens Sigurðsson ]
  * debian/control: Bumped Standards-Version to 3.8.0 (no changes
    needed)

  [ Rafael Laboissiere ]
  * debian/copyright: Add header
  * debian/control: Bump build-dependency on octave-pkg-dev to >= 0.6.4,
    such that the package is built with the versioned packages directory

  [ Thomas Weber ]
  * New upstream release

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Mon, 06 Apr 2009 23:51:36 +0200

octave-statistics (1.0.6-1) unstable; urgency=low

  [ Ólafur Jens Sigurðsson ]
  * New upstream version

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Thu, 15 May 2008 12:43:43 +0200

octave-statistics (1.0.5-1) unstable; urgency=low

  * Initial release (closes: #468526)

 -- Ólafur Jens Sigurðsson <ojsbug@gmail.com>  Fri, 16 Nov 2007 00:35:04 +0100

=== debian/control ===
Source: octave-statistics
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Thomas Weber <tweber@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7), cdbs, octave-pkg-dev (>= 0.7.0)
Build-Depends-Indep: octave-gsl, octave-miscellaneous
Standards-Version: 3.8.4
Homepage: http://octave.sourceforge.net/statistics
Vcs-Git: git://git.debian.org/git/pkg-octave/octave-statistics.git
Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-statistics.git

Package: octave-statistics
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}, octave-gsl
Description: additional statistical functions for Octave
 This octave-forge package provides additional statistical functions
 for Octave, including mean and variance for several distributions (geometric,
 hypergeometric, exponential, lognormal and others).
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/watch ===
version=3
http://octave.sourceforge.net/packages.php \
    http://downloads\.sourceforge\.net/octave/statistics-([\d.]+)\.tar\.gz\?download

## octave-statistics 1.1.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: Statistics
-Version: 1.0.10
-Date: 2010-03-27
+Version: 1.1.0
+Date: 2011-11-10
 Author: Various Authors
 Maintainer: Arno Onken <asnelt@asnelt.org>
 Title: Statistics

=== debian/changelog ===
octave-statistics (1.1.0-1) unstable; urgency=low

  [ Sébastien Villemot ]
  * Imported Upstream version 1.1.0
  * Bump to debhelper compat level 9
  * debian/control:
    + Build-depend on octave-pkg-dev >= 1.0.1, to compile against Octave 3.6
    + Remove Depends and Build-Depends-Indep on octave-gsl
      (expm1 is in Octave core since version 3.2)
    + Add Sébastien Villemot to Uploaders
    + Simplify long description (Octave-Forge was mentionned twice)
    + Remove shlibs:Depends, makes no sense on arch:all package
    + Bump to Standards-Version 3.9.3, no changes needed
  * debian/copyright: upgrade to machine-readable format 1.0
  * debian/source.lintian-overrides: remove file
    (tag build-depends-without-arch-dep no longer exists)
  * debian/patches/remove-zscore.patch: new patch taken from upstream
  * debian/patches/normalise_distribution-index-scalar.patch: new patch
  * debian/patches/combnk-cells.patch: new patch
  * debian/patches/linkage-clear-lastwarn.patch: new patch

 -- Thomas Weber <tweber@debian.org>  Wed, 14 Mar 2012 22:30:15 +0100

=== debian/control ===
Source: octave-statistics
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Thomas Weber <tweber@debian.org>,
           Sébastien Villemot <sebastien.villemot@ens.fr>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.1)
Build-Depends-Indep: octave-miscellaneous
Standards-Version: 3.9.3
Homepage: http://octave.sourceforge.net/statistics
Vcs-Git: git://git.debian.org/git/pkg-octave/octave-statistics.git
Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-statistics.git

Package: octave-statistics
Architecture: all
Depends: ${misc:Depends}, ${octave:Depends}
Description: additional statistical functions for Octave
 This package provides additional statistical functions for Octave, including
 mean and variance for several distributions (geometric, hypergeometric,
 exponential, lognormal and others).
 .
 This Octave add-on package is part of the Octave-Forge project.

## octave-statistics 1.1.3

=== DESCRIPTION ===
Name: Statistics
Version: 1.1.3
Date: 2012-05-09
Author: various authors
Maintainer: Arno Onken <asnelt@asnelt.org>
Title: Statistics
Description: Additional statistics functions for Octave.
Categories: Statistics
Depends: octave (>= 2.9.7), io (>= 1.0.18)
Autoload: yes
License: GPLv3+, public domain
Url: http://octave.sf.net

=== debian/changelog ===
octave-statistics (1.1.3-1) unstable; urgency=low

  * Imported Upstream version 1.1.3

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Sun, 13 May 2012 14:50:15 +0200

octave-statistics (1.1.2-1) unstable; urgency=low

  * Imported Upstream version 1.1.2
  * debian/control: no longer Build-Depends on octave-miscellaneous
  * add-dependency-on-io.patch: remove patch, applied upstream
  * debian/copyright: reflect upstream changes

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Wed, 02 May 2012 22:00:26 +0200

octave-statistics (1.1.1-1) unstable; urgency=low

  * Imported Upstream version 1.1.1
  * Remove patches applied upstream:
    + normalise_distribution-index-scalar.patch
    + remove-zscore.patch
    + combnk-cells.patch
    + linkage-clear-lastwarn.patch
  * debian/copyright: reflect upstream changes
  * debian/watch: use SourceForge redirector
  * add-dependency-on-io.patch: new patch, adds dependency on io
  * debian/control: Build-Depends on octave-io >= 1.0.18

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Tue, 17 Apr 2012 15:14:12 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Thomas Weber <tweber@debian.org>,
            Sébastien Villemot <sebastien.villemot@ens.fr>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.1)
-Build-Depends-Indep: octave-miscellaneous
+Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.1),
+               octave-io (>= 1.0.18)
 Standards-Version: 3.9.3
 Homepage: http://octave.sourceforge.net/statistics
 Vcs-Git: git://git.debian.org/git/pkg-octave/octave-statistics.git

## octave-statistics 1.2.0

=== DESCRIPTION ===
Name: Statistics
Version: 1.2.0
Date: 2013-01-14
Author: various authors
Maintainer: Arno Onken <asnelt@asnelt.org>
Title: Statistics
Description: Additional statistics functions for Octave.
Categories: Statistics
Depends: octave (>= 3.6.1), io (>= 1.0.18)
License: GPLv3+, public domain
Url: http://octave.sf.net

=== debian/changelog ===
octave-statistics (1.2.0-2) unstable; urgency=low

  * expose-tbl-delim-tests.patch: new patch, makes sure tbl_delim.m is tested
    (Closes: #672756)

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 18 May 2013 15:09:00 +0200

octave-statistics (1.2.0-1) experimental; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 1.2.0
  * Bump Standards-Version to 3.9.4 (no changes needed)
  * Use Sébastien Villemot's @debian.org email address
  * Remove obsolete DM-Upload-Allowed flag
  * debian/copyright:
    + Reflect upstream changes
    + Use the octave-maintainers mailing list as upstream contact

  [ Sébastien Villemot ]
  * debian/patches/autoload-yes.patch: new patch

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 16 Jan 2013 10:19:41 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,10 @@
 Priority: optional
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
 Uploaders: Thomas Weber <tweber@debian.org>,
-           Sébastien Villemot <sebastien.villemot@ens.fr>
-DM-Upload-Allowed: yes
+           Sébastien Villemot <sebastien@debian.org>
 Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.1),
                octave-io (>= 1.0.18)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://octave.sourceforge.net/statistics
 Vcs-Git: git://git.debian.org/git/pkg-octave/octave-statistics.git
 Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-statistics.git

## octave-statistics 1.2.2

=== debian/changelog ===
octave-statistics (1.2.2-1) unstable; urgency=low

  * Imported Upstream version 1.2.2

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 16 Aug 2013 23:37:27 +0200

octave-statistics (1.2.1-1) unstable; urgency=low

  [ Sébastien Villemot ]
  * Imported Upstream version 1.2.1
  * debian/copyright: reflect upstream changes

  [ Thomas Weber ]
  * debian/control: Use canonical URLs in Vcs-* fields

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 27 Jul 2013 08:28:41 +0200

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
                octave-io (>= 1.0.18)
 Standards-Version: 3.9.4
 Homepage: http://octave.sourceforge.net/statistics
-Vcs-Git: git://git.debian.org/git/pkg-octave/octave-statistics.git
-Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-statistics.git
+Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-statistics.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/octave-statistics.git
 
 Package: octave-statistics
 Architecture: all

## octave-statistics 1.2.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: Statistics
-Version: 1.2.0
-Date: 2013-01-14
+Version: 1.2.3
+Date: 2014-01-28
 Author: various authors
 Maintainer: Arno Onken <asnelt@asnelt.org>
 Title: Statistics

=== debian/changelog ===
octave-statistics (1.2.3-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Imported Upstream version 1.2.3
  * debian/copyright: reflect upstream changes.
  * princomp-one-arg.patch: new patch, fixes princomp with only one arg.
    (Closes: #731992)

  [ Rafael Laboissiere ]
  * Bump to Standards-Version 3.9.5, no changes needed

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 02 Feb 2014 10:09:28 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Sébastien Villemot <sebastien@debian.org>
 Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.1),
                octave-io (>= 1.0.18)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://octave.sourceforge.net/statistics
 Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-statistics.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/octave-statistics.git

=== debian/watch ===
version=3
http://sf.net/octave/statistics-(.+)\.tar\.gz

## octave-statistics 1.2.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
-Name: Statistics
-Version: 1.2.3
-Date: 2014-01-28
+Name: statistics
+Version: 1.2.4
+Date: 2015-03-08
 Author: various authors
 Maintainer: Arno Onken <asnelt@asnelt.org>
 Title: Statistics

=== debian/changelog ===
octave-statistics (1.2.4-1) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * Imported Upstream version 1.2.4
  * d/copyright: Reflect upstream changes
  * Bump Standards-Version to 3.9.6 (no changes needed)
  * Bump build-dependency on octave-pkg-dev, for proper unit testing
  * Bump Build-Depends on octave-io to >> 2.2.4-1
  * d/p/autoload-yes.patch: Remove patch (deprecated upstream)
  * d/p/use-corr-instead-of-cor.patch: New patch
  * d/p/small-k-in-gev-functions.patch: New patch
  * d/p/use-corr-instead-of-corrcoef.patch: New patch
  * d/p/expected-linkage-warning.patch: Add patch
  * d/p/combnk-implicit-conversion-warn.patch: Add patch
  * Add myself to the Uploaders list

  [ Sébastien Villemot ]
  * Remove Thomas Weber from Uploaders.

 -- Rafael Laboissiere <rafael@laboissiere.net>  Sun, 13 Sep 2015 04:00:51 -0300

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: math
 Priority: optional
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
-Uploaders: Thomas Weber <tweber@debian.org>,
-           Sébastien Villemot <sebastien@debian.org>
-Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.1),
-               octave-io (>= 1.0.18)
-Standards-Version: 3.9.5
+Uploaders: Sébastien Villemot <sebastien@debian.org>,
+  Rafael Laboissiere <rafael@laboissiere.net>
+Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>> 1.2.0),
+               octave-io (>> 2.2.4-1)
+Standards-Version: 3.9.6
 Homepage: http://octave.sourceforge.net/statistics
 Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-statistics.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/octave-statistics.git

## octave-statistics 1.3.0

=== Makefile ===
## Copyright 2015-2016 Carnë Draug
## Copyright 2015-2016 Oliver Heimlich
##
## Copying and distribution of this file, with or without modification,
## are permitted in any medium without royalty provided the copyright
## notice and this notice are preserved.  This file is offered as-is,
## without any warranty.

PACKAGE = $(shell grep "^Name: " DESCRIPTION | cut -f2 -d" ")
VERSION = $(shell grep "^Version: " DESCRIPTION | cut -f2 -d" ")

RELEASE_DIR     = $(PACKAGE)-$(VERSION)
RELEASE_TARBALL = $(PACKAGE)-$(VERSION).tar.gz
HTML_DIR        = $(PACKAGE)-html
HTML_TARBALL    = $(PACKAGE)-html.tar.gz

M_SOURCES   = $(wildcard inst/*.m)
PKG_ADD     = $(shell grep -Pho '(?<=// PKG_ADD: ).*' $(M_SOURCES))

OCTAVE ?= octave

.PHONY: help dist html release install check run clean

help:
	@echo "Targets:"
	@echo "   dist    - Create $(RELEASE_TARBALL) for release"
	@echo "   html    - Create $(HTML_TARBALL) for release"
	@echo "   release - Create both of the above and show md5sums"
	@echo
	@echo "   install - Install the package in GNU Octave"
	@echo "   check   - Execute package tests (w/o install)"
	@echo "   run     - Run Octave with development in PATH (no install)"
	@echo
	@echo "   clean   - Remove releases, html documentation, and oct files"

$(RELEASE_DIR): .hg/dirstate
	@echo "Creating package version $(VERSION) release ..."
	-rm -rf "$@"
	hg archive --exclude ".hg*" --exclude "Makefile" --type files "$@"
	chmod -R a+rX,u+w,go-w "$@"

$(RELEASE_TARBALL): $(RELEASE_DIR)
	tar cf - --posix "$<" | gzip -9n > "$@"

$(HTML_DIR): install
	@echo "Generating HTML documentation. This may take a while ..."
	-rm -rf "$@"
	$(OCTAVE) --silent \
	  --eval "pkg load generate_html; " \
	  --eval "pkg load $(PACKAGE);" \
	  --eval 'generate_package_html ("${PACKAGE}", "$@", "octave-forge");'
	chmod -R a+rX,u+w,go-w "$@"

$(HTML_TARBALL): $(HTML_DIR)
	tar cf - --posix "$<" | gzip -9n > "$@"

dist: $(RELEASE_TARBALL)
html: $(HTML_TARBALL)

release: dist html
	md5sum $(RELEASE_TARBALL) $(HTML_TARBALL)
	@echo "Upload @ https://sourceforge.net/p/octave/package-releases/new/"
	@echo 'Execute: hg tag "release-${VERSION}"'

install: $(RELEASE_TARBALL)
	@echo "Installing package locally ..."
	$(OCTAVE) --silent --eval 'pkg ("install", "${RELEASE_TARBALL}")'

check:
	$(OCTAVE) --silent \
	  --eval 'addpath (fullfile ([pwd filesep "inst"]));' \
	  --eval '${PKG_ADD}' \
	  --eval 'runtests ("inst");'

run:
	$(OCTAVE) --no-gui --silent --persist \
	  --eval 'addpath (fullfile ([pwd filesep "inst"]));' \
	  --eval '${PKG_ADD}'

clean:
	rm -rf $(RELEASE_DIR) $(RELEASE_TARBALL) $(HTML_TARBALL) $(HTML_DIR)

=== debian/changelog ===
octave-statistics (1.3.0-4) unstable; urgency=medium

  * Use dh-octave for building the package
  * d/control:
     + Use Debian's GitLab URLs in Vcs-* headers
     + Change Maintainer to team+pkg-octave-team@tracker.debian.org

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 Feb 2018 07:38:51 -0200

octave-statistics (1.3.0-3) unstable; urgency=medium

  * Use the dh-based version of octave-pkg-dev
  * Set debhelper compatibility level to >= 11
  * d/control:
    + Bump Standards-Version to 4.1.3 (no changes needed)
    + Add Testsuite field

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Dec 2017 22:14:48 -0200

octave-statistics (1.3.0-2) unstable; urgency=medium

  [ Sébastien Villemot ]
  * d/copyright: use secure URL for format.
  * d/watch: bump to format version 4.

  [ Rafael Laboissiere ]
  * d/control:
    + Use cgit instead of gitweb in Vcs-Browser URL
    + Build-conflict with octave-nan (colision with function 'mad')
    + Bump Standards-Version to 4.1.0 (no changes needed)
    + Build-depends on octave-common > 4.2.1-3. This is necessary
      because this version of the octave-common package
      contains the function corrcoef, necessary for the unit tests.
  * New patches (avoid FTBFS with octave-pkg-dev 1.5.0, closes: #874141):
    + d/p/pval-in-ttest-unit-test.patch
    + d/p/xtests-in-grp2idx.patch
    + d/p/tsquare-in-princomp-unit-tests.patch

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 11 Sep 2017 01:03:46 -0300

octave-statistics (1.3.0-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * New upstream version 1.3.0
  * Bump debhelper compat level to 10.
  * d/copyright: reflect upstream changes.
  * Drop patches applied upstream.
    + d/p/combnk-implicit-conversion-warn.patch
    + d/p/expected-linkage-warning.patch
    + d/p/small-k-in-gev-functions.patch
    + d/p/use-corr-instead-of-cor.patch
    + d/p/use-corr-instead-of-corrcoef.patch
  * d/rules: add workaround for wrong perms in upstream tarball.

  [ Rafael Laboissiere ]
  * d/control: Use secure URIs in the Vcs-* fields
  * Bump Standards-Version to 3.9.8 (no changes needed)

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 27 Oct 2016 14:32:52 +0200

=== debian/control ===
Source: octave-statistics
Section: math
Priority: optional
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>,
  Rafael Laboissiere <rafael@debian.org>
Build-Depends: debhelper (>= 11), dh-octave,
               octave-io (>> 2.2.4-1), octave-common (>= 4.2.1-3)
Build-Conflicts: octave-nan
Standards-Version: 4.1.3
Homepage: http://octave.sourceforge.net/statistics
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-statistics.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-statistics
Testsuite: autopkgtest-pkg-octave

Package: octave-statistics
Architecture: all
Depends: ${misc:Depends}, ${octave:Depends}
Description: additional statistical functions for Octave
 This package provides additional statistical functions for Octave, including
 mean and variance for several distributions (geometric, hypergeometric,
 exponential, lognormal and others).
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/watch ===
version=4
http://sf.net/octave/statistics-(.+)\.tar\.gz

## octave-statistics 1.4.0

=== Makefile ===
## Copyright 2015-2016 Carnë Draug
## Copyright 2015-2016 Oliver Heimlich
## Copyright 2017 Julien Bect <jbect@users.sf.net>
## Copyright 2017 Olaf Till <i7tiol@t-online.de>
##
## Copying and distribution of this file, with or without modification,
## are permitted in any medium without royalty provided the copyright
## notice and this notice are preserved.  This file is offered as-is,
## without any warranty.

## Some basic tools (can be overriden using environment variables)
SED ?= sed
TAR ?= tar
GREP ?= grep
CUT ?= cut
TR ?= tr

## Note the use of ':=' (immediate set) and not just '=' (lazy set).
## http://stackoverflow.com/a/448939/1609556
package := $(shell $(GREP) "^Name: " DESCRIPTION | $(CUT) -f2 -d" " | \
$(TR) '[:upper:]' '[:lower:]')
version := $(shell $(GREP) "^Version: " DESCRIPTION | $(CUT) -f2 -d" ")

## These are the paths that will be created for the releases.
target_dir       := target
release_dir      := $(target_dir)/$(package)-$(version)
release_tarball  := $(target_dir)/$(package)-$(version).tar.gz
html_dir         := $(target_dir)/$(package)-html
html_tarball     := $(target_dir)/$(package)-html.tar.gz
## Using $(realpath ...) avoids problems with symlinks due to bug
## #50994 in Octaves scripts/pkg/private/install.m.  But at least the
## release directory above is needed in the relative form, for 'git
## archive --format=tar --prefix=$(release_dir).
real_target_dir  := $(realpath .)/$(target_dir)
installation_dir := $(real_target_dir)/.installation
package_list     := $(installation_dir)/.octave_packages
install_stamp    := $(installation_dir)/.install_stamp

## These can be set by environment variables which allow to easily
## test with different Octave versions.
ifndef OCTAVE
OCTAVE := octave
endif
OCTAVE := $(OCTAVE) --no-gui --silent --no-history --norc
MKOCTFILE ?= mkoctfile

## Command used to set permissions before creating tarballs
FIX_PERMISSIONS ?= chmod -R a+rX,u+w,go-w,ug-s

## Detect which VCS is used
vcs := $(if $(wildcard .hg),hg,$(if $(wildcard .git),git,unknown))
ifeq ($(vcs),hg)
release_dir_dep := .hg/dirstate
endif
ifeq ($(vcs),git)
release_dir_dep := .git/index
endif


## .PHONY indicates targets that are not filenames
## (https://www.gnu.org/software/make/manual/html_node/Phony-Targets.html)
.PHONY: help

## make will display the command before runnning them.  Use @command
## to not display it (makes specially sense for echo).
help:
	@echo "Targets:"
	@echo "   dist    - Create $(release_tarball) for release."
	@echo "   html    - Create $(html_tarball) for release."
	@echo "   release - Create both of the above and show md5sums."
	@echo "   install - Install the package in $(installation_dir), where it is not visible in a normal Octave session."
	@echo "   check   - Execute package tests."
	@echo "   doctest - Test the help texts with the doctest package."
	@echo "   run     - Run Octave with the package installed in $(installation_dir) in the path."
	@echo "   clean   - Remove everything made with this Makefile."


##
## Recipes for release tarballs (package + html)
##

.PHONY: release dist html clean-tarballs clean-unpacked-release

## To make a release, build the distribution and html tarballs.
release: dist html
	md5sum $(release_tarball) $(html_tarball)
	@echo "Upload @ https://sourceforge.net/p/octave/package-releases/new/"
	@echo "    and note the changeset the release corresponds to"

## dist and html targets are only PHONY/alias targets to the release
## and html tarballs.
dist: $(release_tarball)
html: $(html_tarball)

## An implicit rule with a recipe to build the tarballs correctly.
%.tar.gz: %
	$(TAR) -c -f - --posix -C "$(target_dir)/" "$(notdir $<)" | gzip -9n > "$@"

clean-tarballs:
	@echo "## Cleaning release tarballs (package + html)..."
	-$(RM) $(release_tarball) $(html_tarball)
	@echo

## Create the unpacked package.
##
## Notes:
##    * having ".hg/dirstate" (or ".git/index") as a prerequesite means it is
##      only rebuilt if we are at a different commit.
##    * the variable RM usually defaults to "rm -f"
##    * having this recipe separate from the one that makes the tarball
##      makes it easy to have packages in alternative formats (such as zip)
##    * note that if a commands needs to be run in a specific directory,
##      the command to "cd" needs to be on the same line.  Each line restores
##      the original working directory.
$(release_dir): $(release_dir_dep)
	-$(RM) -r "$@"
ifeq (${vcs},hg)
	hg archive --exclude ".hg*" --type files "$@"
endif
ifeq (${vcs},git)
	git archive --format=tar --prefix="$@/" HEAD | $(TAR) -x
	$(RM) "$@/.gitignore"
endif
## Don't fall back to run the supposed necessary contents of
## 'bootstrap' here. Users are better off if they provide
## 'bootstrap'. Administrators, checking build reproducibility, can
## put in the missing 'bootstrap' file if they feel they know its
## necessary contents.
ifneq (,$(wildcard src/bootstrap))
	cd "$@/src" && ./bootstrap && $(RM) -r "autom4te.cache"
endif
## Uncomment this if your src/Makefile.in has these targets for
## pre-building something for the release (e.g. documentation).
#	cd "$@/src" && ./configure && $(MAKE) prebuild && \
#	  $(MAKE) distclean && $(RM) Makefile
##
	${FIX_PERMISSIONS} "$@"

run_in_place = $(OCTAVE) --eval ' pkg ("local_list", "$(package_list)"); ' \
                         --eval ' pkg ("load", "$(package)"); '

html_options = --eval 'options = get_html_options ("octave-forge");'
## Uncomment this for package documentation.
# html_options = --eval 'options = get_html_options ("octave-forge");' \
#                --eval 'options.package_doc = "$(package).texi";'
$(html_dir): $(install_stamp)
	$(RM) -r "$@";
	$(run_in_place)                    \
        --eval ' pkg load generate_html; ' \
	$(html_options)                    \
        --eval ' generate_package_html ("$(package)", "$@", options); ';
	$(FIX_PERMISSIONS) "$@";

clean-unpacked-release:
	@echo "## Cleaning unpacked release tarballs (package + html)..."
	-$(RM) -r $(release_dir) $(html_dir)
	@echo

##
## Recipes for installing the package.
##

.PHONY: install clean-install

octave_install_commands = \
' llist_path = pkg ("local_list"); \
  mkdir ("$(installation_dir)"); \
  load (llist_path); \
  local_packages(cellfun (@ (x) strcmp ("$(package)", x.name), local_packages)) = []; \
  save ("$(package_list)", "local_packages"); \
  pkg ("local_list", "$(package_list)"); \
  pkg ("prefix", "$(installation_dir)", "$(installation_dir)"); \
  pkg ("install", "-local", "-verbose", "$(release_tarball)"); '

## Install unconditionally. Maybe useful for testing installation with
## different versions of Octave.
install: $(release_tarball)
	@echo "Installing package under $(installation_dir) ..."
	$(OCTAVE) --eval $(octave_install_commands)
	touch $(install_stamp)

## Install only if installation (under target/...) is not current.
$(install_stamp): $(release_tarball)
	@echo "Installing package under $(installation_dir) ..."
	$(OCTAVE) --eval $(octave_install_commands)
	touch $(install_stamp)

clean-install:
	@echo "## Cleaning installation under $(installation_dir) ..."
	-$(RM) -r $(installation_dir)
	@echo


##
## Recipes for testing purposes
##

.PHONY: run doctest check clean-check

## Start an Octave session with the package directories on the path for
## interactice test of development sources.
run: $(install_stamp)
	$(run_in_place) --persist

## Test example blocks in the documentation.  Needs doctest package
##  https://octave.sourceforge.io/doctest/index.html
doctest: $(install_stamp)
	$(run_in_place) --eval 'pkg load doctest;'                                                          \
	  --eval "targets = '$(shell (ls inst; ls src | $(GREP) .oct) | $(CUT) -f2 -d@ | $(CUT) -f1 -d.)';" \
	  --eval "targets = strsplit (targets, ' ');  doctest (targets);"


## Test package.
orig_octave_test_commands = \
' dirs = {"inst", "src"}; \
  dirs(cellfun (@ (x) ! isdir (x), dirs)) = []; \
  if (isempty (dirs)) error ("no \"inst\" or \"src\" directory"); exit (1); \
    else __run_test_suite__ (dirs, {}); endif '
octave_test_commands = \
' pkgs = pkg("list", "$(package)"); \
  cd ("$(target_dir)/"); \
  dirs = {sprintf(".installation/%s-%s", pkgs{1}.name, pkgs{1}.version)}; \
  __run_test_suite__ (dirs, {}); '
## the following works, too, but provides no overall summary output as
## __run_test_suite__ does:
##
##    else cellfun (@runtests, horzcat (cellfun (@ (dir) ostrsplit (([~, dirs] = system (sprintf ("find %s -type d", dir))), "\n\r", true), dirs, "UniformOutput", false){:})); endif '
check: $(install_stamp)
	$(run_in_place) --eval $(octave_test_commands)

clean-check:
	@echo "## Removing fntests.log ..."
	test -e $(target_dir)/fntests.log && rm -f $(target_dir)/fntests.log || true

##
## CLEAN
##

.PHONY: clean

clean: clean-tarballs clean-unpacked-release clean-install clean-check
	@echo "## Removing target directory (if empty)..."
	-rmdir $(target_dir)
	@echo
	@echo "## Cleaning done"
	@echo

=== debian/changelog ===
octave-statistics (1.4.0-5) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.3.0 (no changes needed)
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:57:51 -0200

octave-statistics (1.4.0-4) unstable; urgency=medium

  * d/control: Bump Standards-Version to 4.2.1 (no changes needed)
  * d/p/t_test-increase-tol.patch: Drop patch
  * d/p/t_test-skip.patch: New patch

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 12 Sep 2018 04:18:45 -0300

octave-statistics (1.4.0-3) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Revert "d/rules: Use override_dh_installdeb for post-install actions"

  [ Rafael Laboissiere ]
  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.2.0
  * d/p/ttest-tolerance.patch: New patch.
    Allow a tolerance so ttest can pass on i386
    Thanks to Graham Inggs <ginggs@debian.org> (Closes: #906820)
  * d/p/t_test-increase-tol.patch: New patch

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 22 Aug 2018 17:15:38 -0300

octave-statistics (1.4.0-2) unstable; urgency=medium

  * d/control: Build depends on octave >= 4.4

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 11 Jun 2018 15:20:15 -0300

octave-statistics (1.4.0-1) unstable; urgency=medium

  [ Mike Miller ]
  * d/control, d/copyright: Use secure URL for upstream source.

  [ Rafael Laboissiere ]
  * d/rules: Use override_dh_installdeb for post-install actions
  * d/control: Bump Standards-Version to 4.1.4 (no changes needed)

  [ Sébastien Villemot ]
  * New upstream version 1.4.0
  * d/copyright: reflect upstream changes
  * Remove patches applied upstream
    - pval-in-ttest-unit-test.patch
    - tsquare-in-princomp-unit-tests.patch
    - xtests-in-grp2idx.patch
  * Add some generated files to debian/clean

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 20 May 2018 13:01:46 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,17 @@
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Sébastien Villemot <sebastien@debian.org>,
   Rafael Laboissiere <rafael@debian.org>
-Build-Depends: debhelper (>= 11), dh-octave,
-               octave-io (>> 2.2.4-1), octave-common (>= 4.2.1-3)
+Build-Depends: debhelper-compat (= 12),
+               dh-octave,
+               octave (>= 4.4.0),
+               octave-io (>> 2.2.4-1)
 Build-Conflicts: octave-nan
-Standards-Version: 4.1.3
-Homepage: http://octave.sourceforge.net/statistics
+Standards-Version: 4.3.0
+Homepage: https://octave.sourceforge.io/statistics/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-statistics.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-statistics
 Testsuite: autopkgtest-pkg-octave
+Rules-Requires-Root: no
 
 Package: octave-statistics
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem=octave --with=octave

# Workaround for wrong perms in upstream tarball 1.3.0
override_dh_auto_install:
	dh_auto_install
	find debian/octave-statistics/usr/share/octave/packages -type f -exec chmod -x '{}' ';'

## octave-statistics 1.4.1

=== Makefile ===
--- 
+++ 
@@ -2,11 +2,13 @@
 ## Copyright 2015-2016 Oliver Heimlich
 ## Copyright 2017 Julien Bect <jbect@users.sf.net>
 ## Copyright 2017 Olaf Till <i7tiol@t-online.de>
+## Copyright 2018 John Donoghue <john.donoghue@ieee.org>
 ##
 ## Copying and distribution of this file, with or without modification,
 ## are permitted in any medium without royalty provided the copyright
 ## notice and this notice are preserved.  This file is offered as-is,
 ## without any warranty.
+TOPDIR := $(shell pwd)
 
 ## Some basic tools (can be overriden using environment variables)
 SED ?= sed
@@ -218,8 +220,7 @@
     else __run_test_suite__ (dirs, {}); endif '
 octave_test_commands = \
 ' pkgs = pkg("list", "$(package)"); \
-  cd ("$(target_dir)/"); \
-  dirs = {sprintf(".installation/%s-%s", pkgs{1}.name, pkgs{1}.version)}; \
+  dirs = {pkgs{1}.dir}; \
   __run_test_suite__ (dirs, {}); '
 ## the following works, too, but provides no overall summary output as
 ## __run_test_suite__ does:

=== debian/changelog ===
octave-statistics (1.4.1-3) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.4.1 (no changes needed)
    + Bump dependency on dh-octave to >= 0.7.1
      This allows the injection of the virtual package octave-abi-N
      into the package's list of dependencies.

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 09 Nov 2019 03:40:37 -0300

octave-statistics (1.4.1-2) unstable; urgency=medium

  * Upload to unstable

  [ Rafael Laboissiere ]
  * d/copyright: Fix license name for the AppStream file
  * d/rules: Use override_dh_installdeb instead of _auto_install

  [ Sébastien Villemot ]
  * Bump S-V to 4.4.0

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 08 Jul 2019 15:25:03 +0200

octave-statistics (1.4.1-1) experimental; urgency=medium

  * New upstream version 1.4.1
  * d/p/ttest-tolerance.patch: Drop patch (applied upstream)
  * d/p/t_test-skip.patch: Refresh for new upstream version
  * d/copyright: Reflect upstream changes

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 13 Apr 2019 05:21:17 -0300

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Uploaders: Sébastien Villemot <sebastien@debian.org>,
   Rafael Laboissiere <rafael@debian.org>
 Build-Depends: debhelper-compat (= 12),
-               dh-octave,
+               dh-octave (>= 0.7.1),
                octave (>= 4.4.0),
                octave-io (>> 2.2.4-1)
 Build-Conflicts: octave-nan
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: https://octave.sourceforge.io/statistics/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-statistics.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-statistics

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,9 @@
 	dh $@ --buildsystem=octave --with=octave
 
 # Workaround for wrong perms in upstream tarball 1.3.0
-override_dh_auto_install:
-	dh_auto_install
+override_dh_installdeb:
+	@echo "*********************************************************"
+	@echo "Warning: check whether the following fix is still needed:"
+	@echo "*********************************************************"
 	find debian/octave-statistics/usr/share/octave/packages -type f -exec chmod -x '{}' ';'
+	dh_installdeb

## octave-statistics 1.4.2

=== DESCRIPTION ===
Name: statistics
Version: 1.4.2
Date: 2020-03-23
Author: various authors
Maintainer: Octave-Forge community <maintainers@octave.org>
Title: Statistics
Description: Additional statistics functions for Octave.
Categories: Statistics
Depends: octave (>= 4.0.0), io (>= 1.0.18)
License: GPLv3+, public domain
Url: http://octave.sf.net

=== debian/changelog ===
octave-statistics (1.4.2-2) unstable; urgency=medium

  * d/control: Bump debhelper compatibility level to 13
  * d/u/metadata: Drop Name and Contact fields
  * d/p/expose-tbl-delim-tests.patch: Add URL to Forwarded field
  * d/p/t_test-skip.patch: Set Forwarded: not-needed

 -- Rafael Laboissière <rafael@debian.org>  Wed, 29 Jul 2020 18:30:24 -0300

octave-statistics (1.4.2-1) unstable; urgency=medium

  * New upstream version 1.4.2
  * d/copyright: Reflect upstream changes
  * d/u/metadata: New file
  * d/control: Bump Standards-Version to 4.5.0 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Wed, 01 Apr 2020 08:49:50 -0300

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Sébastien Villemot <sebastien@debian.org>,
-  Rafael Laboissiere <rafael@debian.org>
-Build-Depends: debhelper-compat (= 12),
+  Rafael Laboissière <rafael@debian.org>
+Build-Depends: debhelper-compat (= 13),
                dh-octave (>= 0.7.1),
                octave (>= 4.4.0),
                octave-io (>> 2.2.4-1)
 Build-Conflicts: octave-nan
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://octave.sourceforge.io/statistics/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-statistics.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-statistics

## octave-statistics 1.4.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: statistics
-Version: 1.4.2
-Date: 2020-03-23
+Version: 1.4.3
+Date: 2021-12-03
 Author: various authors
 Maintainer: Octave-Forge community <maintainers@octave.org>
 Title: Statistics

=== debian/changelog ===
octave-statistics (1.4.3-3) unstable; urgency=medium

  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)
  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call
  * d/p/data-files-for-tests.diff: Drop obsolete patch
  * Proper cleaning of upstream files
    + d/control: Build-depend on dh-octave 1.2.3
    + d/p/fix-cleaning.patch: New patch
    + d/clean: Adjust for new situation
  * d/copyright: Update copyright years of debian/* files
  * d/octave-statistics.lintian-overrides: Adjust for newest version of Lintian

 -- Rafael Laboissière <rafael@debian.org>  Thu, 14 Jul 2022 12:39:02 -0300

octave-statistics (1.4.3-2) unstable; urgency=medium

  * d/p/data-files-for-tests.diff: Convert to DEP-3 format
  * d/rules: Remove workaround for wrong perms in upstream tarball
  * d/clean: Remove empty directories in inst/

 -- Rafael Laboissière <rafael@debian.org>  Sat, 11 Dec 2021 07:41:03 -0300

octave-statistics (1.4.3-1) unstable; urgency=medium

  [ Jenkins ]
  * Remove constraints unnecessary since stretch

  [ Rafael Laboissière ]
  * d/rules: Use execute_before_dh_installdeb instead of override_dh_installdeb
  * d/octave-statistics.lintian-overrides: New file
  * d/copyright: Accentuate my family name
  * d/control: Bump Standards-Version to 4.6.0 (no changes needed)

  [ Sébastien Villemot ]
  * New upstream version 1.4.3
  * d/copyright: reflect upstream changes
  * expose-tbl-delim-tests.patch: drop patch, applied upstream

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 10 Dec 2021 15:48:12 +0100

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,12 @@
 Uploaders: Sébastien Villemot <sebastien@debian.org>,
   Rafael Laboissière <rafael@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-octave (>= 0.7.1),
-               octave (>= 4.4.0),
-               octave-io (>> 2.2.4-1)
+               dh-octave (>= 1.2.3),
+               dh-sequence-octave,
+               octave,
+               octave-io
 Build-Conflicts: octave-nan
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Homepage: https://octave.sourceforge.io/statistics/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-statistics.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-statistics

## octave-statistics 1.5.3

=== DESCRIPTION ===
Name: statistics
Version: 1.5.3
Date: 2023-1-31
Author: various authors
Maintainer: Andreas Bertsatos <abertsatos@biol.uoa.gr>
Title: Statistics
Description: The Statistics package for GNU Octave.
Categories: Statistics
Depends: octave (>= 6.1.0)
License: GPLv3+, public domain
Url: https://github.com/gnu-octave/statistics

=== src/Makefile ===
# Makefile for compiling required oct files

all:
	$(MKOCTFILE)       libsvmread.cc
	$(MKOCTFILE)       libsvmwrite.cc
	$(MKOCTFILE)       svmpredict.cc svm.cpp svm_model_octave.cc
	$(MKOCTFILE)       svmtrain.cc svm.cpp svm_model_octave.cc

=== debian/changelog ===
octave-statistics (1.5.3-2) unstable; urgency=medium

  * d/p/test-hygecdf-tolerance.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Wed, 08 Feb 2023 13:30:36 -0300

octave-statistics (1.5.3-1) unstable; urgency=medium

  * New upstream version 1.5.3
  * d/copyright:
    + Reflect upstream changes
    + Drop superfluous stanza
  * d/p/test-tolerance.patch: Drop patch (applied upstream)

 -- Rafael Laboissière <rafael@debian.org>  Mon, 06 Feb 2023 18:54:34 -0300

octave-statistics (1.5.2-2) unstable; urgency=medium

  * New patch: test-tolerance.patch.
    Should fix FTBFS on armhf.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 25 Dec 2022 12:16:58 +0100

octave-statistics (1.5.2-1) unstable; urgency=medium

  * New upstream version 1.5.2
  * Bump S-V to 4.6.2
  * d/copyright: reflect upstream changes
  * test-tolerance.patch: drop patch, applied upstream
  * d/control: add missing ${shlibs:Depends}

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 19 Dec 2022 19:01:22 +0100

octave-statistics (1.5.1-3) unstable; urgency=medium

  * test-tolerance.patch: yet another tolerance increase, for armel.
    Results vary there across buildds.

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 02 Dec 2022 17:11:56 +0100

octave-statistics (1.5.1-2) unstable; urgency=medium

  * test-tolerance.patch: add more tolerance increases.
    Should fix FTBFS on arm64, i386, ppc64el and s390x.

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 02 Dec 2022 15:02:58 +0100

octave-statistics (1.5.1-1) unstable; urgency=medium

  * New upstream version 1.5.1
  * d/copyright: reflect upstream changes
  * global-install.patch: drop patches, applied upstream
  * test-tolerance.patch: new version of the patch (previous version
    applied upstream)

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 01 Dec 2022 16:36:16 +0100

octave-statistics (1.5.0-2) unstable; urgency=medium

  * test-tolerance.patch: new patch, fixes FTBFS on arm64, i368, ppc64el and
    s390x

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 11 Nov 2022 11:24:47 +0100

octave-statistics (1.5.0-1) unstable; urgency=medium

  [ Rafael Laboissière ]
  * d/watch: Adjust for new URL at gnu-octave.github.io

  [ Sébastien Villemot ]
  * New upstream version 1.5.0
  * d/watch, d/upstream/metadata: repository moved to github.com
  * d/control, d/copyright: homepage moved to Octave Packages
  * d/copyright: reflect upstream changes
  * t_test-skip.patch, fix-cleaning.patch: drop patches, no longer needed
  * d/control: set Architecture to any
  * global-install.patch: new patch taken from upstream
  * Update clean rule
  * test-failures.patch: new patch, disable a couple of failing tests

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 08 Nov 2022 10:59:25 +0100

=== debian/control ===
--- 
+++ 
@@ -10,16 +10,16 @@
                octave,
                octave-io
 Build-Conflicts: octave-nan
-Standards-Version: 4.6.1
-Homepage: https://octave.sourceforge.io/statistics/
+Standards-Version: 4.6.2
+Homepage: https://gnu-octave.github.io/packages/statistics/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-statistics.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-statistics
 Testsuite: autopkgtest-pkg-octave
 Rules-Requires-Root: no
 
 Package: octave-statistics
-Architecture: all
-Depends: ${misc:Depends}, ${octave:Depends}
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
 Description: additional statistical functions for Octave
  This package provides additional statistical functions for Octave, including
  mean and variance for several distributions (geometric, hypergeometric,

=== debian/watch ===
version=4
opts="filenamemangle=s%release-(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
https://gnu-octave.github.io/packages/statistics/ \
  https://github.com/gnu-octave/statistics/archive/refs/tags/release-(.+).tar.gz
